Get Price
Retrieve device pricing filtered by type (instant/review), warranty, and device type. Returns the user IP address
/api/priceПараметри запиту
Всі параметри можуть бути передані через Query або тіло
| Параметр | Тип | Потрібні | Опис |
|---|---|---|---|
token | string | Потрібні | User API token Приклад: your_api_token_here |
type | string | Додатково | Price type: instant or review. Empty or 'all' returns all types instantreviewall Приклад: instant |
warranty | string | Додатково | Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types 012346all Приклад: 1 |
deviceType | string | Додатково | Device type: iphone or ipad. Empty or 'all' returns all device types iphoneipadall Приклад: iphone |
Відправити
| Параметр | Тип | Потрібні | Опис |
|---|---|---|---|
code | number | Потрібні | Status code: 1=success, 0=failure Приклад: 1 |
msg | string | Потрібні | Response message Приклад: 查询成功 |
time | number | Потрібні | Server timestamp (Unix seconds) Приклад: 1769675945 |
data | object | Потрібні | Response payload |
data.ip | string | Потрібні | User IP address Приклад: 192.168.1.100 |
data.instant | object | array | Потрібні | Instant price (object for single, array for multiple). Only returned when type is empty, 'all', or 'instant' |
data.review | object | array | Потрібні | Review price (object for single, array for multiple). Only returned when type is empty, 'all', or 'review' |
*.warranty | string | Потрібні | Warranty type code Приклад: 1 |
*.warrantyName | string | Потрібні | Warranty type name Приклад: 标准版 |
*.deviceType | string | Потрібні | Device type Приклад: iphone |
*.price | number | Потрібні | Price (unit: CNY) Приклад: 10 |
ysucc | string | Потрібні | Success flag, returns "Ysucc" on success Приклад: Ysucc |
Query all prices
Without type, warranty, deviceType params, returns all combinations
Query instant prices only
type=instant, returns all instant prices
Коди помилок
000Мова відповіді
Налаштуйте мову відповіді API з заголовком X-Lang. Приклади коду нижче автоматично використовуйте мову поточного сайту.
X-Lang: ukzh, en, zh-TW, vi, ar, es, ruЗа підтримки X-Lang бере на себе пріоритет. Непідтримувані мови слідувати мовою сайту.
Приклади коду
curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphone" \
-H "X-Lang: uk"Нотатки
- 参数通过 Query 或 x-www-form-urlencoded 传递
- 摆烂版(4)和高摆烂版(6)仅支持秒出 + iPhone,不支持 iPad 和审核/预约
- 价格可能因用户不同而有所差异(用户专属价格)
- 返回的价格为添加单台设备的费用
Спробуйте в Консоль
Заповнювати параметри нижче і відправити запит на тест. Запити тільки перейти до цього API сайту; URL-адреса заблокована і не може бути змінена, і ваш поточний логін cookie включено.
https://testypro.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphoneЗаблоковано на цей сайтUser API token
Price type: instant or review. Empty or 'all' returns all types
Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types
Device type: iphone or ipad. Empty or 'all' returns all device types